package bz1017242.test;


import static org.junit.Assert.assertTrue;

import java.io.File;

import org.jboss.arquillian.container.test.api.Deployment;
import org.jboss.arquillian.container.test.api.OverProtocol;
import org.jboss.arquillian.drone.api.annotation.Drone;
import org.jboss.arquillian.junit.Arquillian;
import org.jboss.shrinkwrap.api.Archive;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.spec.WebArchive;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;

import bz1017242.reproducer.TestBean;



@RunWith(Arquillian.class)
public class FacesMessagesRedirectTest {

    @Drone
    protected WebDriver driver;
    
    private static final String PATH = "http://localhost:8080/";
    private By clickButton = By.id("form1:button1");

    @Deployment(name = "test", managed = true, testable = false)
    @OverProtocol("Servlet 3.0")
    public static Archive<?> createDeployment()
    {

       return ShrinkWrap.create(WebArchive.class, "bz1017242.war").addPackage(TestBean.class.getPackage()).
             addAsWebInfResource("web.xml", "web.xml").
             addAsWebInfResource("faces-config.xml", "faces-config.xml").
             addAsWebInfResource("jboss-web.xml", "jboss-web.xml").
             addAsWebResource("index.html").
             addAsWebResource("home.xhtml").
             addAsWebResource(new File("src/test/resources/second/secondPage.xhtml"), "second/secondPage.xhtml");
    }
    
    
    @Test
    public void redirectTest(){
        driver.navigate().to(PATH);
        driver.findElement(clickButton).click();
        assertTrue("FacesMessage wasn't rendered!", driver.getPageSource().contains(TestBean.MESSAGE));
    }
}
